Bug 6010 - org.globus.util.ConfigUtil.java doesn't recognize FreeBSD
: org.globus.util.ConfigUtil.java doesn't recognize FreeBSD
Status: RESOLVED FIXED
: CoG jglobus
other
: unspecified
: Macintosh All
: P3 normal
: 1.7
Assigned To:
:
: 4.0.x
:
: 6435
  Show dependency treegraph
 
Reported: 2008-04-11 11:10 by
Modified: 2009-07-08 14:37 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-04-11 11:10:25
org.globus.util.ConfigUtil.java getOS() doesn't know freebsd is a UNIX_OS. 
This causes a container startup failure while looking for cog.properties.

Patch:

--- ConfigUtil.java.orig        2008-04-05 19:00:53.000000000 +0900
+++ ConfigUtil.java     2008-02-09 16:25:41.000000000 +0900
@@ -231,6 +231,7 @@
                        (osname.indexOf("osf1") != -1) ||
                        (osname.indexOf("mac os x") != -1) ||
                        (osname.indexOf("netbsd") != -1) ||
+                        (osname.indexOf("freebsd") != -1) ||
                        (osname.indexOf("irix") != -1) ) {
                osType = UNIX_OS;
            } else if (osname.indexOf("mac") != -1) {
------- Comment #1 From 2008-10-07 11:32:54 -------
Fixed in CoG trunk and branch. Opening a separate bug to absorb jar to Java WS
Core.